<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE dirtt PUBLIC "-//DIRTT//DTD dirtt 0.2.0//EN" "https://gitlab.com/dirtt/dtds/raw/master/dirtt.dtd">

<dirtt name="Project Root" version="0.2.0" dirname="{{project_root}}" basename="{{project_path}}" username="pipeline" group="artist" perms="02775">


    <dir basename="flame/action/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/batch/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/colourwarper/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/correct/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/deform/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/distort/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/gmask/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/key/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/modularKeyer/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/sparks/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/text/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>
    <dir basename="flame/timewarp/flame/{{sequence_name}}/{{shot_name}}" perms="02775" username="pipeline" group="artist"/>


    <dir basename="media/work/{{sequence_name}}/{{shot_name}}" username="pipeline" group="artist" perms="02775">
        <dir basename="audio" username="pipeline" group="artist" perms="02775"/>
        <dir basename="cg" username="pipeline" group="artist" perms="02775"/>
        <dir basename="comp" username="pipeline" group="artist" perms="02775"/>
        <dir basename="design" username="pipeline" group="artist" perms="02775"/>
        <dir basename="ref" username="pipeline" group="artist" perms="02775"/>
        <dir basename="roto" username="pipeline" group="artist" perms="02775"/>
        <dir basename="plate" username="pipeline" group="artist" perms="02775">
                <dir basename="transcode" username="pipeline" group="artist" perms="02775"/>
                <dir basename="grade" username="pipeline" group="artist" perms="02775"/>
        </dir>
    </dir>


    <!-- A U D I O     F O L D E R -->
    <link basename="shots/{{sequence_name}}/{{shot_name}}/audio" ref="../../../media/work/{{sequence_name}}/{{shot_name}}/audio"/>


    <!-- I M A G E S     F O L D E R -->
    <dir basename="shots/{{sequence_name}}/{{shot_name}}/images" username="pipeline" group="artist" perms="02775">
        <link basename="library" ref="../../../../library/images"/>
        <link basename="cg" ref="../../../../media/work/{{sequence_name}}/{{shot_name}}/cg"/>
        <link basename="comp" ref="../../../../media/work/{{sequence_name}}/{{shot_name}}/comp"/>
        <link basename="design" ref="../../../../media/work/{{sequence_name}}/{{shot_name}}/design"/>
        <link basename="roto" ref="../../../../media/work/{{sequence_name}}/{{shot_name}}/roto"/>
        <link basename="plate" ref="../../../../media/work/{{sequence_name}}/{{shot_name}}/roto"/>
        <dir basename="textures" username="pipeline" group="artist" perms="02775">
            <dir basename="3dPaintTextures" username="pipeline" group="artist" perms="02775"/>
        </dir>
        <dir basename="hdri" username="pipeline" group="artist" perms="02775"/>
    </dir>

    <!-- D A T A     F O L D E R -->
    <dir basename="shots/{{sequence_name}}/{{shot_name}}/data" username="pipeline" group="artist" perms="02775">
        <dir basename="cache" username="pipeline" group="artist" perms="02775">
            <dir basename="fluid" username="pipeline" group="artist" perms="02775"/>
            <dir basename="houdini" username="pipeline" group="artist" perms="02775"/>
            <dir basename="particles" username="pipeline" group="artist" perms="02775"/>
        </dir>
        <dir basename="renderData" username="pipeline" group="artist" perms="02775">
            <dir basename="depth" username="pipeline" group="artist" perms="02775"/>
            <dir basename="fur" username="pipeline" group="artist" perms="02775">
                <dir basename="furFiles" username="pipeline" group="artist" perms="02775"/>
                <dir basename="furShadowMap" username="pipeline" group="artist" perms="02775"/>
                <dir basename="furAttrMap" username="pipeline" group="artist" perms="02775"/>
                <dir basename="furImages" username="pipeline" group="artist" perms="02775"/>
                <dir basename="furEqualMap" username="pipeline" group="artist" perms="02775"/>
            </dir>
        </dir>
        <dir basename="camera" username="pipeline" group="artist" perms="02775"/>
        <dir basename="chan" username="pipeline" group="artist" perms="02775"/>
        <dir basename="geo" username="pipeline" group="artist" perms="02775"/>
        <dir basename="lut" username="pipeline" group="artist" perms="02775"/>
        <dir basename="timewarp" username="pipeline" group="artist" perms="02775"/>
    </dir>

    <!-- T O O L S     F O L D E R -->
    <dir basename="shots/{{sequence_name}}/{{shot_name}}/tools" username="pipeline" group="artist" perms="02775">
        <dir basename="maya" username="pipeline" group="artist" perms="02775">
            <dir basename="mel" username="pipeline" group="artist" perms="02775"/>
            <dir basename="python" username="pipeline" group="artist" perms="02775"/>
            <dir basename="shelves" username="pipeline" group="artist" perms="02775"/>
            <dir basename="modules" username="pipeline" group="artist" perms="02775"/>
            <dir basename="templates" username="pipeline" group="artist" perms="02775"/>
        </dir>
        <dir basename="houdini" username="pipeline" group="artist" perms="02775">
            <dir basename="dso" username="pipeline" group="artist" perms="02775"/>
            <dir basename="otls" username="pipeline" group="artist" perms="02775"/>
            <dir basename="scripts" username="pipeline" group="artist" perms="02775"/>
        </dir>
        <dir basename="nuke" username="pipeline" group="artist" perms="02775">
            <dir basename="gizmos" username="pipeline" group="artist" perms="02775"/>
            <dir basename="plugins" username="pipeline" group="artist" perms="02775"/>
            <dir basename="shelves" username="pipeline" group="artist" perms="02775"/>
        </dir>
        <dir basename="scripts" username="pipeline" group="artist" perms="02775"/>
    </dir>

<!-- S C E N E S     F O L D E R -->
    <dir basename="shots/{{sequence_name}}/{{shot_name}}/scenes" username="pipeline" group="artist" perms="02775">
        <dir basename="track" username="pipeline" group="artist" perms="02775"/>
        <dir basename="anim" username="pipeline" group="artist" perms="02775"/>
        <dir basename="fx" username="pipeline" group="artist" perms="02775"/>
        <dir basename="light" username="pipeline" group="artist" perms="02775"/>
        <dir basename="comp" username="pipeline" group="artist" perms="02755">
            <dir basename="nuke" username="pipeline" group="artist" perms="02775"/>
            <dir basename="roto" username="pipeline" group="artist" perms="02775"/>
        </dir>
    </dir>

    <dir basename="shots/{{sequence_name}}/{{shot_name}}/.autosave" username="pipeline" group="artist" perms="02777"/>

    <file basename="shots/{{sequence_name}}/{{shot_name}}/workspace.mel" username="pipeline" group="artist" perms="02775" href="/studio/tools/var/dirtt/templates/project/files/workspace.mel"/>

    <!-- P A I N T     F O L D E R -->
    <dir basename="shots/{{sequence_name}}/{{shot_name}}/dmp" username="pipeline" group="artist" perms="02775"/>

    <!-- D E S I G N     F O L D E R -->
    <dir basename="shots/{{sequence_name}}/{{shot_name}}/design" username="pipeline" group="artist" perms="02775"/>



</dirtt>
